AsciiDocEngine (Grails 6.0.0)

Package: grails.doc.asciidoc

## [Groovy] Class AsciiDocEngine

- grails.doc.asciidoc.AsciiDocEngine

-     @groovy.transform.InheritConstructors
      class AsciiDocEngine
      extends DocEngine

  A DocEngine implementation that uses Asciidoctor to render pages

  Authors:
    Graeme Rocher
  Since:
    3.2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private org.asciidoctor.Asciidoctor` | `asciidoctor` |
    `private java.util.Map` | `attributes` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DocEngine` | `ALIAS, API_BASE_PATH, API_CONTEXT_PATH, BASE_DIR, CONTEXT_PATH, EXTERNAL_DOCS, RESOURCES_CONTEXT_PATH, SOURCE_FILE, basedir, engineProperties, macroFilter, macroLoader, nameCache`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.asciidoctor.Asciidoctor` | `asciidoctor`
    `java.util.Map` | `attributes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AsciiDocEngine ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String` | `render(java.lang.String content, org.radeox.api.engine.context.RenderContext context)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DocEngine` | `addMacro, appendCreateLink, appendLink, appendLink, emitWarning, exists, getNaturalName, init, showCreate`

- - ### Field Detail

    - #### private org.asciidoctor.Asciidoctor asciidoctor

    - #### private java.util.Map attributes

  - ### Property Detail

    - #### org.asciidoctor.Asciidoctor asciidoctor

    - #### java.util.Map attributes

  - ### Constructor Detail

    - #### AsciiDocEngine()

  - ### Method Detail

    - #### @java.lang.Override java.lang.String render(java.lang.String content, org.radeox.api.engine.context.RenderContext context)